Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.apt
Class ValidationTool

    java.lang.Object
      com.google.web.bindery.requestfactory.apt.ValidationTool

    public class ValidationTool

extends java.lang.Object

Provides "late" validation services when server types aren't available to the shared-interface compilation process. This tool is provided the name of an output jar and the binary names of RequestFactory interfaces that should be validated. The validation process will provide pre-computed type map builders for use by the ServiceLayer.

See Also:
  `RequestFactoryInterfaceValidation`

Constructor Summary
`ValidationTool()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationTool

    public ValidationTool()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD